Bug 987621 - Do not default to --tollef
Do not default to --tollef
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: parallel (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Golo Fuchert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 14:58 EDT by Ville Skyttä
Modified: 2014-01-19 17:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-19 17:46:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-07-23 14:58:21 EDT
$ rpm -q parallel
parallel-20130522-2.fc20.noarch

$ parallel < /dev/null
parallel: Warning: YOU ARE USING --tollef. IF THINGS ARE ACTING WEIRD USE --gnu.
parallel: Warning: --tollef is obsolete and will be retired 20140222.
parallel: Warning: See: http://lists.gnu.org/archive/html/parallel/2013-02/msg00018.html

I think it's about time to get rid of the --tollef default for F-20, upstream will seemingly be dropping it soon anyway.
Comment 1 Golo Fuchert 2013-07-24 04:36:20 EDT
Personally, I don't have any strong feelings for the tollef default. It helped to get parallel packaged for Fedora back then [1]. The change may break stuff for some users, but since upstream will drop this feature anyway, it is not really our fault. So, I will make the change for f20 asap.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=675495
Comment 2 Fedora End Of Life 2013-09-16 10:44:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Golo Fuchert 2014-01-19 17:46:05 EST
Unfortunately I couldn't get this done before the release of f20 due to some stuff outside of fedora. I don't want to push this as an update, since the drop of the --tollef default may brake user scripts . The change is done in rawhide, however, and will be part of f21+. Hence, no --tollef in f21+! Sorry for the delay.

Note You need to log in before you can comment on or make changes to this bug.